Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle
Class NotificationLifecycleObject

    java.lang.Object
      org.mule.lifecycle.LifecycleObject
          org.mule.lifecycle.NotificationLifecycleObject

    public class NotificationLifecycleObject

extends LifecycleObject

TODO

Constructor Summary
`NotificationLifecycleObject(Class type)`
`NotificationLifecycleObject(Class type, Class notificationClass)`
`NotificationLifecycleObject(Class type, Class notificationClass, int preNotification, int postNotification)`

Method Summary
`protected ServerNotification` | `createNotification(MuleContext context, String action)`
`void` | `firePostNotification(MuleContext context)`
`void` | `firePreNotification(MuleContext context)`
`String` | `getPostNotificationName()`
`String` | `getPreNotificationName()`
`void` | `setPostNotificationName(String postNotificationName)`
`void` | `setPreNotificationName(String preNotificationName)`

Methods inherited from class org.mule.lifecycle.LifecycleObject
`getPostNotification, getPreNotification, getType, setPostNotification, setPreNotification, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotificationLifecycleObject

    public NotificationLifecycleObject(Class type)

### NotificationLifecycleObject

    public NotificationLifecycleObject(Class type,
                                       Class notificationClass)

### NotificationLifecycleObject

    public NotificationLifecycleObject(Class type,
                                       Class notificationClass,
                                       int preNotification,
                                       int postNotification)

Method Detail

### getPostNotificationName

    public String getPostNotificationName()

### setPostNotificationName

    public void setPostNotificationName(String postNotificationName)

### getPreNotificationName

    public String getPreNotificationName()

### setPreNotificationName

    public void setPreNotificationName(String preNotificationName)

### firePreNotification

    public void firePreNotification(MuleContext context)

  Overrides:
    `firePreNotification` in class `LifecycleObject`

### firePostNotification

    public void firePostNotification(MuleContext context)

  Overrides:
    `firePostNotification` in class `LifecycleObject`

### createNotification

    protected ServerNotification createNotification(MuleContext context,
                                                    String action)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.